<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 10, right: 20, bottom: 20, left: 20 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Arrays
  const points = [
    innerWidth / 2 - 60,
    innerWidth / 2 - 30,
    innerWidth / 2,
    innerWidth / 2 + 30,
    innerWidth / 2 + 60
  ];

  // All lights with a higher index are on!
  let index = points.length;

  const Index = () => (index -= 1);

  const counterInterval = setInterval(Index, 1000);
  $: index < 0 ? clearInterval(counterInterval) : null;
</script>

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each points as point, i}
      <circle
        class={index < 0 ? "green" : i >= index ? "darkRed" : "brightRed"}
        cx={point}
        r="10"
        cy="40"
      />
    {/each}
  </g>
</svg>

<style>
  .darkRed {
    fill: darkred;
    opacity: 1;
  }
  .brightRed {
    fill: darkred;
    opacity: 0.3;
  }
  .green {
    fill: darkgreen;
    opacity: 1;
  }
</style>

